Subject: bug#16674: 24.3.50; crash: redisplay_internal, update_frame, using client-daemon in tmux

From: Mark Oteiza <[email-masked]>
Date: Wed, 09 Apr 2014 15:30:37 -0400

Eli Zaretskii <[email-masked]> writes:

>> >> This does not happen in 24.3, so this is a regression I imagine I can
>> >> bisect if need be.
>> >
>> > Please do, and thanks.
>> 
>> I found 0cd28af (references Bug#15025).
>
> Dmitry, this is bzr revision 113891.  Perhaps the new code in
> delete_frame should include a few more tests from candidate_frame?
> (That's just a wild guess, though: I don't really understand what does
> tmux do to Emacs -- are we selecting a frame that is no longer
> displayed or something?)

I looked at Bug#15025 and figured the recipe here can be simpler:

1. emacs --daemon -Q
2. open two xterms
3. do `emacsclient -t` in both
4. exit one emacsclient

The remaining emacsclient has no focus.  Resizing the xterm has no
effect on the client.

Out of curiosity, I tried reverting r113891 (g0cd28af).  As expected,
I could reproduce Bug#15025.

I still have not found a recipe for reproducing the crash.  Is there any
debugging I can do to help the issue?